/*
 * Biblioteca que contm as funes para manipular um listBox.
 *
 * Depende
 * 	BibliotecaFuncoesPrincipal.js
 * 	BibliotecaMensagens.js
 */

function isListBoxSelecionado(pNmListBox, pExibirMensagem) {
	var i = 0;

	listBox = eval(pNmListBox);
	
	if (listBox == null) {
		return false;
	}

	for (i = 0; i < listBox.options.length; i++) {
		if (listBox.options[i].selected) 
			return true;
	}

	if (pExibirMensagem) {
		if (listBox.type == "select-multiple") {
			mensagemSistema(mensagemGlobal(101));
		} else {
			mensagemSistema(mensagemGlobal(100));
		}
		focarCampo(listBox);
	}

	return false;
}
 
function transferirItemsListbox(listaOrigem, listaDestino, isParaTransferirTudo) {
	/* Passe 0 ou 1 para o parametro isParaTransferirTudo. 0 transfere apenas os itens selecionados. 1 transefere todos. */

	if (!isParaTransferirTudo) {
		isListBoxSelecionado("document.forms[0]." + listaOrigem.name);
	}

	for (contador01 = 0; contador01 < listaOrigem.options.length; contador01++) {
		if (isParaTransferirTudo || listaOrigem.options[contador01].selected) {
			listaDestino.options[listaDestino.options.length] = new Option(listaOrigem.options[contador01].text, listaOrigem.options[contador01].value);
			listaOrigem.options[contador01] = null;
			contador01--;
		}
	}
}

function selecionarTodosItensListBox(pNmListBox) {
	var i = 0;

	listBox = eval(pNmListBox);
	
	if (listBox != null) {

		for (i = 0; i < listBox.options.length; i++) {
			listBox.options[i].selected = true			

		}
	}
}

function isCampoListBoxValido(pCampoListBox, pExibirMensagem) {

	var msg = "";

	if (pCampoListBox.options.length == 0) {
		if (pExibirMensagem) {
			exibirMensagem(mensagemSistema(102));
			pCampoListBox.focus();
		}
		return false;
	}
	return true;
}

function limparListaDupla(pListaDupla) { 

	listBoxDisponivel = eval("document.forms[0]." + pListaDupla.name + "Disponivel");
	transferirItemsListbox(pListaDupla, listBoxDisponivel, 1);
}