/*
 * Biblioteca que contm as funes para validar input de HTML quando o tipo do mesmo for radio.
 *
 * Depende
 * 	BibliotecaFuncoesPrincipal.js
  * 	BibliotecaMensagens.js
 */
 
 /*
 	seleciona o radio com o valor passado
 */
 function selecionarChavePrimaria(pChavePrimaria) {
	document.forms[0].chavePrimaria.value = pChavePrimaria;
 }
 
 
 /*
 	Verifica se o radio da chave primaria na tela de consulta esta selecionado
 */
 function isRadioButtonChavePrimariaSelecionado(pExibirMensagem) {

	var i = 0;

	radioButton = eval("document.forms[0].chavePrimaria");

	if ( radioButton == null ) {
		
		if ( pExibirMensagem ) {
			exibirMensagem(mensagemSistema(40));
		}
		return false;
	}
	
	if ( radioButton.checked ) {
		// Quando existe apenas um radio button no formulario

		return true;
	}
	
	for ( i = 0; i < radioButton.length; i++) {
		
		if ( radioButton.item(i).checked == true ) {

			return true;
		}
	}
	
	if ( pExibirMensagem ) {
		exibirMensagem(mensagemSistema(41));
	}
	
	return false;
}

 /*
 	Verifica se o radio esta selecionado
 */
 function isRadioButtonSelecionado(pRadioButton, pExibirMensagem) {

	var i = 0;

	radioButton = eval(pRadioButton);

	if ( radioButton == null ) {
		
		if ( pExibirMensagem ) {
			exibirMensagem(mensagemSistema(40));
		}
		return false;
	}
	
	if ( radioButton.checked ) {
		// Quando existe apenas um radio button no formulario
		return true;
	}
	
	for ( i = 0; i < radioButton.length; i++) {
		
		if ( radioButton.item(i).checked == true ) {
			
			return true;
		}
	}
	
	if ( pExibirMensagem ) {
		exibirMensagem(mensagemSistema(41));
	}
	
	return false;
}

// Retorna um Array com os valores que compem o value do radiobutton "pRadioButton" passado como parmetro
// Os campos devem estar separados pela constante CD_CAMPO_SEPARADOR
function separarCamposRadio(pNmInputRadio) {
	var i;
	var radioButton;
	var valor;
	
	radioButton = eval(pNmInputRadio);
	
	if ( radioButton == null ) {
		
		exibirMensagem(mensagemSistema(40));
		return false;
	}
	
	if ( radioButton.checked ) {

		// Quando existe apenas um radio button no formulario
		valor = radioButton.value + CD_CAMPO_SEPARADOR;
		return valor.split(CD_CAMPO_SEPARADOR);
	}

	for ( i = 0; i < radioButton.length; i++ ) {

		if ( radioButton.item(i).checked ) {

			valor = radioButton.item(i).value;
			return valor.split(CD_CAMPO_SEPARADOR);
		}
		
	}

	return "";
}

// Retorna um Array com os valores que compem o value do radiobutton chaveprimaria
// Os campos devem estar separados pela constante CD_CAMPO_SEPARADOR
function separarCamposRadioChavePrimaria() {

	return separarCamposRadio("document.forms[0].chavePrimaria");
} 