package com.efetiva.wiiser.webserver.gui.activity;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;
import org.apache.struts.upload.FormFile;

import com.efetiva.wiiser.webserver.gui.util.OTDActionForm;

public class ActivityRegisterActionForm extends OTDActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String name;

	private String description;

	private String value;

	private FormFile photo;

	private Collection collPlace;

	private String place;

	private String language;

	private Collection collLanguage;

	private String minuto;

	private String hora;

	private String weekday;

	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		name = "";
		description = "";
		value = "0.0";
		place = "";
		language = "";
		collPlace = new ArrayList();
		collLanguage = new ArrayList();
		minuto = "";
		hora = "";
		weekday = "";
	}

	public String getHora() {
		return hora;
	}

	public void setHora(String hora) {
		this.hora = hora;
	}

	public String getMinuto() {
		return minuto;
	}

	public void setMinuto(String minuto) {
		this.minuto = minuto;
	}

	public String getWeekday() {
		return weekday;
	}

	public void setWeekday(String weekday) {
		this.weekday = weekday;
	}

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description
	 *            The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the photo.
	 */
	public FormFile getPhoto() {
		return photo;
	}

	/**
	 * @param photo
	 *            The photo to set.
	 */
	public void setPhoto(FormFile photo) {
		this.photo = photo;
	}

	/**
	 * @return Returns the value.
	 */
	public String getValue() {
		return value;
	}

	/**
	 * @param value
	 *            The value to set.
	 */
	public void setValue(String value) {
		this.value = value;
	}

	public Collection getCollLanguage() {
		return collLanguage;
	}

	public void setCollLanguage(Collection collLanguage) {
		this.collLanguage = collLanguage;
	}

	public Collection getCollPlace() {
		return collPlace;
	}

	public void setCollPlace(Collection collPlace) {
		this.collPlace = collPlace;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getPlace() {
		return place;
	}

	public void setPlace(String place) {
		this.place = place;
	}

}
