package com.efetiva.wiiser.webserver.gui.activity;

import java.util.ArrayList;
import java.util.Collection;

import com.efetiva.wiiser.server.entity.Activity;
import com.efetiva.wiiser.server.entity.Language;
import com.efetiva.wiiser.server.entity.ScheduleActivity;
import com.efetiva.wiiser.webserver.gui.util.OTD;

public class ActivityRegisterOTD extends OTD {

	private Language language = new Language();

	private Activity activity = new Activity();

	private Collection collSchedule = new ArrayList();

	private byte[] file = null;

	public void addScheduleActivity(ScheduleActivity scheduleActivity) {
		collSchedule.add(scheduleActivity);
	}

	public void removeScheduleActivity(int posicao) {
		((ArrayList) collSchedule).remove(posicao);
	}

	public Activity getActivity() {
		return activity;
	}

	public void setActivity(Activity activity) {
		this.activity = activity;
	}

	public Collection getCollSchedule() {
		return collSchedule;
	}

	public void setCollSchedule(Collection collSchedule) {
		this.collSchedule = collSchedule;
	}

	public Language getLanguage() {
		return language;
	}

	public void setLanguage(Language language) {
		this.language = language;
	}

	/**
	 * @return Returns the file.
	 */
	public byte[] getFile() {
		return file;
	}

	/**
	 * @param file The file to set.
	 */
	public void setFile(byte[] file) {
		this.file = file;
	}

}
