package com.efetiva.wiiser.webserver.gui.error;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.server.entity.User;
import com.efetiva.wiiser.webserver.gui.util.ObjectAction;
import com.efetiva.wiiser.webserver.util.SystemConstants;

public class ErrorAction extends ObjectAction {

	public static String USER_CASE = ErrorAction.class.getSimpleName()+ SystemConstants.USER_CASE_EXTENSION;
	
	
	public ActionForward exhibit(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		
		ErrorActionForm form = (ErrorActionForm) requestActionForm;
		
		form.setMessageError((String)request.getSession().getAttribute("messageError"));
		request.getSession().removeAttribute("messageError");
		
		return actionMapping.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);
	}
	
	public ActionForward refresh(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		ErrorActionForm form = (ErrorActionForm) requestActionForm;
		form.setDoAction(SystemConstants.PROCESS);

		return actionMapping.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);
	}
	
}
