package com.efetiva.wiiser.webserver.gui.message;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.server.entity.DynamicInfo;
import com.efetiva.wiiser.webserver.gui.util.ObjectActionForm;

public class MessageChangeActionForm extends ObjectActionForm {

	private static final long serialVersionUID = 1L;

	private DynamicInfo dynamicInfo;

	private String description;

	private String area;

	private String language;

	private Collection collLanguage;

	private String weekday;

	private String hora;

	private String minuto;

	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		weekday = "";
		hora = "";
		minuto = "";
		description = "";
		area = "";
		language = "";
		collLanguage = new ArrayList();
	}

	public String getHora() {
		return hora;
	}

	public void setHora(String hora) {
		this.hora = hora;
	}

	public String getMinuto() {
		return minuto;
	}

	public void setMinuto(String minuto) {
		this.minuto = minuto;
	}

	public String getWeekday() {
		return weekday;
	}

	public void setWeekday(String weekday) {
		this.weekday = weekday;
	}

	public DynamicInfo getDynamicInfo() {
		return dynamicInfo;
	}

	public void setDynamicInfo(DynamicInfo dynamicInfo) {
		this.dynamicInfo = dynamicInfo;
	}

	public Collection getCollLanguage() {
		return collLanguage;
	}

	public void setCollLanguage(Collection collLanguage) {
		this.collLanguage = collLanguage;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

}
