package com.efetiva.wiiser.webserver.gui.message;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.webserver.gui.util.ObjectActionForm;

public class MessageRegisterActionForm extends ObjectActionForm {

	private static final long serialVersionUID = 1L;

	private String description;

	private String area;

	private String language;

	private Collection collLanguage;

	private String minuto;

	private String hora;

	private String weekday;

	private String message;

	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		description = "";
		area = "";
		language = "";
		collLanguage = new ArrayList();
		minuto = "";
		hora = "";
		weekday = "";
		message = "";
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getHora() {
		return hora;
	}

	public void setHora(String hora) {
		this.hora = hora;
	}

	public String getMinuto() {
		return minuto;
	}

	public void setMinuto(String minuto) {
		this.minuto = minuto;
	}

	public String getWeekday() {
		return weekday;
	}

	public void setWeekday(String weekday) {
		this.weekday = weekday;
	}

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description
	 *            The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	public Collection getCollLanguage() {
		return collLanguage;
	}

	public void setCollLanguage(Collection collLanguage) {
		this.collLanguage = collLanguage;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

}
