package com.efetiva.wiiser.webserver.gui.service;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;
import org.apache.struts.upload.FormFile;

import com.efetiva.wiiser.webserver.gui.util.ObjectActionForm;

public class ServiceModifyActionForm extends ObjectActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String name;
	
	private String description;
	
	private String value;
	
	private FormFile photo;
	
	private Collection collLanguage;
	
	private String language;
	
	private Collection collPlace;
	
	private String place;
	
	private String isActive;

	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		name = "";
		description = "";
		value = "";
		collLanguage = new ArrayList();
		language = "";
		collPlace = new ArrayList();
		place = "";
		isActive = "";
	}

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return Returns the language.
	 */
	public Collection getCollLanguage() {
		return collLanguage;
	}

	/**
	 * @param language The language to set.
	 */
	public void setCollLanguage(Collection language) {
		this.collLanguage = language;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the photo.
	 */
	public FormFile getPhoto() {
		return photo;
	}

	/**
	 * @param photo The photo to set.
	 */
	public void setPhoto(FormFile photo) {
		this.photo = photo;
	}

	/**
	 * @return Returns the subArea.
	 */
	public Collection getCollPlace() {
		return collPlace;
	}

	/**
	 * @param subArea The subArea to set.
	 */
	public void setCollPlace(Collection subArea) {
		this.collPlace = subArea;
	}

	/**
	 * @return Returns the value.
	 */
	public String getValue() {
		return value;
	}

	/**
	 * @param value The value to set.
	 */
	public void setValue(String value) {
		this.value = value;
	}

	/**
	 * @return Returns the language.
	 */
	public String getLanguage() {
		return language;
	}

	/**
	 * @param language The language to set.
	 */
	public void setLanguage(String language) {
		this.language = language;
	}

	/**
	 * @return Returns the place.
	 */
	public String getPlace() {
		return place;
	}

	/**
	 * @param place The place to set.
	 */
	public void setPlace(String place) {
		this.place = place;
	}

	/**
	 * @return the isActive
	 */
	public String getIsActive() {
		return isActive;
	}

	/**
	 * @param isActive the isActive to set
	 */
	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

}
