package com.efetiva.wiiser.webserver.gui.service;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.webserver.gui.util.ObjectActionForm;

public class ServiceScheduleActionForm extends ObjectActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private Collection collSchedules;
	private String dayOfWeek;
	private String initialHours;
	private String initialMinutes;
	private String finalHours;
	private String finalMinutes;
	
	
	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		collSchedules = new ArrayList();
		dayOfWeek = "Domingo";
		initialHours = "";
		initialMinutes = "";
		finalHours = "";
		finalMinutes = "";
	}

	/**
	 * @return Returns the collSchedules.
	 */
	public Collection getCollSchedules() {
		return collSchedules;
	}

	/**
	 * @param collSchedules The collSchedules to set.
	 */
	public void setCollSchedules(Collection collSchedules) {
		this.collSchedules = collSchedules;
	}

	/**
	 * @return Returns the dayOfWeek.
	 */
	public String getDayOfWeek() {
		return dayOfWeek;
	}

	/**
	 * @param dayOfWeek The dayOfWeek to set.
	 */
	public void setDayOfWeek(String dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}

	/**
	 * @return Returns the hours.
	 */
	public String getInitialHours() {
		return initialHours;
	}

	/**
	 * @param hours The hours to set.
	 */
	public void setInitialHours(String hours) {
		this.initialHours = hours;
	}

	/**
	 * @return Returns the minutes.
	 */
	public String getInitialMinutes() {
		return initialMinutes;
	}

	/**
	 * @param minutes The minutes to set.
	 */
	public void setInitialMinutes(String minutes) {
		this.initialMinutes = minutes;
	}

	/**
	 * @return Returns the finalHours.
	 */
	public String getFinalHours() {
		return finalHours;
	}

	/**
	 * @param finalHours The finalHours to set.
	 */
	public void setFinalHours(String finalHours) {
		this.finalHours = finalHours;
	}

	/**
	 * @return Returns the finalMinutes.
	 */
	public String getFinalMinutes() {
		return finalMinutes;
	}

	/**
	 * @param finalMinutes The finalMinutes to set.
	 */
	public void setFinalMinutes(String finalMinutes) {
		this.finalMinutes = finalMinutes;
	}

	
}
