package com.efetiva.wiiser.webserver.gui.subarea;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;
import org.apache.struts.upload.FormFile;

import com.efetiva.wiiser.webserver.gui.util.OTDActionForm;

public class SubAreaChangeActionForm extends OTDActionForm {

	private static final long serialVersionUID = 1L;

	private String name;

	private String description;

	private FormFile photo;

	private String language;

	private Collection collLanguage;

	private String category;

	private String coordx;

	private String coordy;

	private String[] arrayPlaceArea;

	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		name = "";
		description = "";
		language = "";
		collLanguage = new ArrayList();
		category = "";
		coordx = "";
		coordy = "";
		arrayPlaceArea = new String[0];
	}

	/**
	 * @return Returns the arrayPlaceArea.
	 */
	public String[] getArrayPlaceArea() {
		return arrayPlaceArea;
	}

	/**
	 * @param arrayPlaceArea
	 *            The arrayPlaceArea to set.
	 */
	public void setArrayPlaceArea(String[] arrayPlaceArea) {
		this.arrayPlaceArea = arrayPlaceArea;
	}

	/**
	 * @return Returns the coordx.
	 */
	public String getCoordx() {
		return coordx;
	}

	/**
	 * @param coordx
	 *            The coordx to set.
	 */
	public void setCoordx(String coordx) {
		this.coordx = coordx;
	}

	/**
	 * @return Returns the coordy.
	 */
	public String getCoordy() {
		return coordy;
	}

	/**
	 * @param coordy
	 *            The coordy to set.
	 */
	public void setCoordy(String coordy) {
		this.coordy = coordy;
	}

	/**
	 * @return Returns the category.
	 */
	public String getCategory() {
		return category;
	}

	/**
	 * @param category
	 *            The category to set.
	 */
	public void setCategory(String category) {
		this.category = category;
	}

	/**
	 * @return Returns the collLanguage.
	 */
	public Collection getCollLanguage() {
		return collLanguage;
	}

	/**
	 * @param collLanguage
	 *            The collLanguage to set.
	 */
	public void setCollLanguage(Collection collLanguage) {
		this.collLanguage = collLanguage;
	}

	/**
	 * @return Returns the description.
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description
	 *            The description to set.
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return Returns the language.
	 */
	public String getLanguage() {
		return language;
	}

	/**
	 * @param language
	 *            The language to set.
	 */
	public void setLanguage(String language) {
		this.language = language;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the photo.
	 */
	public FormFile getPhoto() {
		return photo;
	}

	/**
	 * @param photo
	 *            The photo to set.
	 */
	public void setPhoto(FormFile photo) {
		this.photo = photo;
	}

}
