package com.efetiva.wiiser.webserver.gui.user;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.server.entity.User;
import com.efetiva.wiiser.server.singleton.Facade;
import com.efetiva.wiiser.webserver.gui.util.ObjectAction;
import com.efetiva.wiiser.webserver.util.SystemConstants;

public class UserSearchAction extends ObjectAction {
	public static String USER_CASE = UserSearchAction.class.getSimpleName()
			+ SystemConstants.USER_CASE_EXTENSION;
	@SuppressWarnings("unused")
	public ActionForward exhibit(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		UserSearchActionForm form = (UserSearchActionForm) requestActionForm;

		User user = (User) request.getSession().getAttribute(
				SystemConstants.USER);

		/*User u1 = new User();
		u1.setPassword("212");
		u1.setPermission(User.ADMINISTRATOR);
		u1.setUsername("aaa");
		User u2 = new User();
		u2.setPassword("212");
		u2.setPermission(User.MANAGER);
		u2.setUsername("bbb");*/
		Collection coll = Facade.getInstance().searchAllUsers();
		/*coll.add(u1);
		coll.add(u2);*/
		form.setCollUsers(coll);

		int i = coll.size();
		if (i == 0) {
			form.setNumero("Nenhum usurio foi encontrado!!");
		} else if (i == 1) {
			form.setNumero("1 usurio foi encontrado!!");
		} else {
			form.setNumero(i + " usurios foram encontrados!!");
		}
		return actionMapping
				.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);
	}
	@SuppressWarnings("unused")
	public ActionForward refresh(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		UserSearchActionForm form = (UserSearchActionForm) requestActionForm;
		form.setDoAction(SystemConstants.PROCESS);
		
		User user = (User) request.getSession().getAttribute(
				SystemConstants.USER);
		
		return actionMapping
				.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);
	}
	@SuppressWarnings("unused")
	public ActionForward process(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		UserSearchActionForm form = (UserSearchActionForm) requestActionForm;
		form.setDoAction(SystemConstants.PROCESS);
		User user = (User) request.getSession().getAttribute(
				SystemConstants.USER);

		return actionMapping.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);

	}

}
