package com.efetiva.wiiser.webserver.gui.util;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;
import org.apache.struts.validator.ValidatorActionForm;

public class ObjectActionForm extends ValidatorActionForm {

	private static final long serialVersionUID = 1L;

	private String prymaryKey;

	private String doAction;

	private Collection coll;

	private String errorMsg;

	private String nextUserCase;

	private String nextAction;

	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		this.doAction = "";
		this.coll = new ArrayList();
		this.errorMsg = "";
		this.nextUserCase = "";
		this.nextAction = "";
		this.prymaryKey = "";
	}

	public String getDoAction() {
		return doAction;
	}

	public void setDoAction(String doAction) {
		this.doAction = doAction;
	}

	public Collection getColl() {
		return coll;
	}

	public void setColl(Collection coll) {
		this.coll = coll;
	}

	public String getErrorMsg() {
		return errorMsg;
	}

	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}

	public String getNextAction() {
		return nextAction;
	}

	public void setNextAction(String nextAction) {
		this.nextAction = nextAction;
	}

	public String getNextUserCase() {
		return nextUserCase;
	}

	public void setNextUserCase(String nextUserCase) {
		this.nextUserCase = nextUserCase;
	}

	public String getPrymaryKey() {
		return prymaryKey;
	}

	public void setPrymaryKey(String prymaryKey) {
		this.prymaryKey = prymaryKey;
	}

}