package com.efetiva.wiiser.server.entity;

import java.io.Serializable;

public class Language implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer id;

	private String name;
	
	private String acronym;
	
	private String filePath;

	/**
	 * Constructor
	 * 
	 */
	public Language() {

	}

	/**
	 * 
	 * @param id
	 * @param name
	 * @param acronym
	 * @param filePath
	 */
	public Language(Integer id, String name, String acronym, String filePath) {
		this.id = id;
		this.name = name;
		this.acronym = acronym;
		this.filePath = filePath;
	}
	
	/**
	 * 
	 * @param name
	 * @param acronym
	 * @param filePath
	 */
	public Language(String name, String acronym, String filePath) {
		this.name = name;
		this.acronym = acronym;
		this.filePath = filePath;
	}

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	
	/**
	 * @return Returns the acronym.
	 */
	public String getAcronym() {
		return acronym;
	}

	/**
	 * @param acronym The acronym to set.
	 */
	public void setAcronym(String acronym) {
		this.acronym = acronym;
	}

	/**
	 * @return Returns the filePath.
	 */
	public String getFilePath() {
		return filePath;
	}

	/**
	 * @param filePath The filePath to set.
	 */
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final Language other = (Language) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}

}
