package com.efetiva.wiiser.server.entity;

import java.io.Serializable;

public class Map implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer id;

	private String photo;

	private String bitMask;

	public Map() {

	}
	
	public Map(Integer id, String photo, String bitMask) {
		this.id = id;
		this.photo = photo;
		this.bitMask = bitMask;
	}
	
	public Map(String photo, String bitMask) {
		this.photo = photo;
		this.bitMask = bitMask;
	}

	public String getBitMask() {
		return bitMask;
	}

	public void setBitMask(String bitMask) {
		this.bitMask = bitMask;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final Map other = (Map) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}

}
