package com.efetiva.wiiser.server.entity;

import java.io.Serializable;

public class PlaceArea implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer id;
	
	private Place place;
	
	private Area area;
	
	private Integer coordX;
	
	private Integer coordY;

	/**
	 * 
	 */
	public PlaceArea() {
		super();
	}

	/**
	 * @param place
	 * @param area
	 * @param coordX
	 * @param coordY
	 */
	public PlaceArea(Integer id, Place place, Area area, Integer coordX, Integer coordY) {
		super();
		this.id = id;
		this.place = place;
		this.area = area;
		this.coordX = coordX;
		this.coordY = coordY;
	}

	/**
	 * @return the area
	 */
	public Area getArea() {
		return area;
	}

	/**
	 * @param area the area to set
	 */
	public void setArea(Area area) {
		this.area = area;
	}

	/**
	 * @return the coordX
	 */
	public Integer getCoordX() {
		return coordX;
	}

	/**
	 * @param coordX the coordX to set
	 */
	public void setCoordX(Integer coordX) {
		this.coordX = coordX;
	}

	/**
	 * @return the coordY
	 */
	public Integer getCoordY() {
		return coordY;
	}

	/**
	 * @param coordY the coordY to set
	 */
	public void setCoordY(Integer coordY) {
		this.coordY = coordY;
	}

	/**
	 * @return the place
	 */
	public Place getPlace() {
		return place;
	}

	/**
	 * @param place the place to set
	 */
	public void setPlace(Place place) {
		this.place = place;
	}

	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result + ((area == null) ? 0 : area.hashCode());
		result = PRIME * result + ((place == null) ? 0 : place.hashCode());
		return result;
	}

	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final PlaceArea other = (PlaceArea) obj;
		if (area == null) {
			if (other.area != null)
				return false;
		} else if (!area.equals(other.area))
			return false;
		if (place == null) {
			if (other.place != null)
				return false;
		} else if (!place.equals(other.place))
			return false;
		return true;
	}

	/**
	 * @return Returns the id.
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id The id to set.
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	
		
	
}
