package com.efetiva.wiiser.server.entity;

import java.io.Serializable;
import java.util.Date;

public class ScheduleActivity implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer id;

	private Activity activity;

	private Integer dayOfWeek;

	private Date hour;

	public ScheduleActivity() {

	}

	/**
	 * @param id
	 * @param dayOfWeek
	 * @param hour
	 */
	public ScheduleActivity(Integer id, Activity activity, Integer dayOfWeek,
			Date hour) {
		this.id = id;
		this.activity = activity;
		this.dayOfWeek = dayOfWeek;
		this.hour = hour;
	}
	
	/**
	 * @param dayOfWeek
	 * @param hour
	 */
	public ScheduleActivity(Activity activity, Integer dayOfWeek,
			Date hour) {
		this.activity = activity;
		this.dayOfWeek = dayOfWeek;
		this.hour = hour;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return the dayOfWeek
	 */
	public Integer getDayOfWeek() {
		return dayOfWeek;
	}

	/**
	 * @param dayOfWeek
	 *            the dayOfWeek to set
	 */
	public void setDayOfWeek(Integer dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}

	/**
	 * @return the hour
	 */
	public Date getHour() {
		return hour;
	}

	/**
	 * @param hour
	 *            the hour to set
	 */
	public void setHour(Date hour) {
		this.hour = hour;
	}

	public Activity getActivity() {
		return activity;
	}

	public void setActivity(Activity activity) {
		this.activity = activity;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME
				* result
				+ ((activity.getId() == null) ? 0 : activity.getId().hashCode());
		return result;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final ScheduleActivity other = (ScheduleActivity) obj;
		if (activity.getId() == null) {
			if (other.activity.getId() != null)
				return false;
		} else if (!activity.getId().equals(other.activity.getId()))
			return false;
		return true;
	}

}
