package com.efetiva.wiiser.server.entity;

import java.io.Serializable;

public class ScheduleInfo implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer id;

	private DynamicInfo dynamicInfo;

	private Area area;

	private Integer dayOfWeek;

	private String hour;

	public ScheduleInfo() {

	}

	public ScheduleInfo(Integer id, DynamicInfo dynamicInfo, Area area,
			Integer dayOfWeek, String hour) {
		this.id = id;
		this.dynamicInfo = dynamicInfo;
		this.area = area;
		this.dayOfWeek = dayOfWeek;
		this.hour = hour;
	}
	
	public ScheduleInfo(DynamicInfo dynamicInfo, Area area,
			Integer dayOfWeek, String hour) {
		this.dynamicInfo = dynamicInfo;
		this.area = area;
		this.dayOfWeek = dayOfWeek;
		this.hour = hour;
	}

	public Area getArea() {
		return area;
	}

	public void setArea(Area area) {
		this.area = area;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getDayOfWeek() {
		return dayOfWeek;
	}

	public void setDayOfWeek(Integer dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}

	public DynamicInfo getDynamicInfo() {
		return dynamicInfo;
	}

	public void setDynamicInfo(DynamicInfo dynamicInfo) {
		this.dynamicInfo = dynamicInfo;
	}

	public String getHour() {
		return hour;
	}

	public void setHour(String hour) {
		this.hour = hour;
	}

	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result
				+ ((dynamicInfo == null) ? 0 : dynamicInfo.hashCode());
		return result;
	}

	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final ScheduleInfo other = (ScheduleInfo) obj;
		if (dynamicInfo == null) {
			if (other.dynamicInfo != null)
				return false;
		} else if (!dynamicInfo.equals(other.dynamicInfo))
			return false;
		return true;
	}

}
