package com.efetiva.wiiser.server.entity;

import java.io.Serializable;
import java.util.Date;

public class ScheduleService implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer id;

	private Service service;

	private Integer dayOfWeek;

	private Date hourInitial;
	
	private Date hourFinal;

	
	public ScheduleService() {

	}

	public ScheduleService(Integer id, Service service, Integer dayOfWeek,
			Date hourInitial, Date hourFinal) {
		this.id = id;
		this.service = service;
		this.dayOfWeek = dayOfWeek;
		this.hourInitial = hourInitial;
		this.hourFinal = hourFinal;
	}
	
	public ScheduleService(Service service, Integer dayOfWeek,
			Date hourInitial, Date hourFinal) {
		this.service = service;
		this.dayOfWeek = dayOfWeek;
		this.hourInitial = hourInitial;
		this.hourFinal = hourFinal;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getDayOfWeek() {
		return dayOfWeek;
	}

	public void setDayOfWeek(Integer dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}

	public Date getHourInitial() {
		return hourInitial;
	}

	public void setHourInitial(Date hour) {
		this.hourInitial = hour;
	}

	public Service getService() {
		return service;
	}

	public void setService(Service service) {
		this.service = service;
	}
	
	public Date getHourFinal() {
		return hourFinal;
	}

	public void setHourFinal(Date hourFinal) {
		this.hourFinal = hourFinal;
	}

	public int hashCode() {
		final int PRIME = 31;
		int result = 1;
		result = PRIME * result + ((service == null) ? 0 : service.hashCode());
		return result;
	}

	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		final ScheduleService other = (ScheduleService) obj;
		if (service == null) {
			if (other.service != null)
				return false;
		} else if (!service.equals(other.service))
			return false;
		return true;
	}

}
