package com.efetiva.wiiser.server.entity;

import java.io.Serializable;
import java.util.Collection;

public class Service implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer id;

	private String name;

	private String description;

	private Double value;

	private String photo;

	private Place place;

	private byte[] photoImage;

	private Integer isActive;

	private volatile Collection schedules;

	private Language language;

	public Service() {

	}

	public Service(Integer id, String name, String description, Double value,
			String photo, Place place, Integer isActive, Language language) {
		this.id = id;
		this.name = name;
		this.description = description;
		this.value = value;
		this.photo = photo;
		this.place = place;
		this.isActive = isActive;
		this.language = language;
	}
	
	public Service(String name, String description, Double value,
			String photo, Place place, Integer isActive, Language language) {
		this.name = name;
		this.description = description;
		this.value = value;
		this.photo = photo;
		this.place = place;
		this.isActive = isActive;
		this.language = language;
	}

	public Integer getIsActive() {
		return isActive;
	}

	public void setIsActive(Integer isActive) {
		this.isActive = isActive;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public Place getPlace() {
		return place;
	}

	public void setPlace(Place place) {
		this.place = place;
	}

	public Double getValue() {
		return value;
	}

	public void setValue(Double value) {
		this.value = value;
	}

	

	/**
	 * @return the schedules
	 */
	public Collection getSchedules() {
		return schedules;
	}

	/**
	 * @param schedules
	 *            the schedules to set
	 */
	public void setSchedules(Collection schedules) {
		this.schedules = schedules;
	}

	/**
	 * @return the photoImage
	 */
	public byte[] getPhotoImage() {
		return photoImage;
	}

	/**
	 * @param photoImage
	 *            the photoImage to set
	 */
	public void setPhotoImage(byte[] photoImage) {
		this.photoImage = photoImage;
	}

	/**
	 * @return the language
	 */
	public Language getLanguage() {
		return language;
	}

	/**
	 * @param language
	 *            the language to set
	 */
	public void setLanguage(Language language) {
		this.language = language;
	}

	@Override
	public boolean equals(Object obj) {
		// TODO Auto-generated method stub
		return super.equals(obj);
	}

	@Override
	public int hashCode() {
		// TODO Auto-generated method stub
		return super.hashCode();
	}
	
	
	
}
