package com.efetiva.wiiser.server.repository;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

import org.hibernate.Query;
import org.hibernate.Session;

import com.efetiva.wiiser.server.entity.Language;
import com.efetiva.wiiser.server.repository.interfaceRepository.ILanguageRepository;
import com.efetiva.wiiser.server.util.hibernate.HibernateUtil;

public class LanguageRepository implements ILanguageRepository {

	/**
	 * 
	 * 
	 */
	public LanguageRepository() {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see wiiser.server.repository.ILanguageRepository#register(com.efetiva.wiser.entity.Language)
	 */
	public void register(Language language) {

		Session currentSession = HibernateUtil.getCurrentSession();
		currentSession.save(language);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see wiiser.server.repository.ILanguageRepository#search(java.lang.Integer)
	 */
	public Language search(Integer ID) {
		String query = "select language from Language as language where language.id = "
				+ ID;
		Language language = null;

		language = queryLanguage(query, language);
		
		return language;
	}
		
	/*
	 * (non-Javadoc)
	 * 
	 * @see wiiser.server.repository.ILanguageRepository#remove(com.efetiva.wiser.entity.Language)
	 */
	public void remove(Language language) {

		Session currentSession = HibernateUtil.getCurrentSession();
		currentSession.delete(language);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see wiiser.server.repository.ILanguageRepository#modify(com.efetiva.wiser.entity.Language)
	 */
	public void modify(Language language) {

		Session currentSession = HibernateUtil.getCurrentSession();
		currentSession.update(language);

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see wiiser.server.repository.ILanguageRepository#searchAll()
	 */
	public Collection searchAll() {
		String query = "select language from Language as language";
		Collection allLanguages = new ArrayList();
		Session currentSession = HibernateUtil.getCurrentSession();
		Query q = currentSession.createQuery(query);
		Iterator iterator = q.iterate();
		while (iterator.hasNext()) {
			Language language = (Language) iterator.next();
			allLanguages.add(language);
		}
		return allLanguages;
	}

	public Language searchByName(String name) {
		String query = "select language from Language as language where language.name = '"
				+ name + "'";
		Language language = null;

		language = queryLanguage(query, language);
		
		return language;
	}
	
	/*
	 * metodos privados
	 * metodos extraidos
	 */
	
	private Language queryLanguage(String query, Language language) {
		Session currentSession = HibernateUtil.getCurrentSession();
		Query q = currentSession.createQuery(query);
		Iterator iterator = q.iterate();
		while (iterator.hasNext()) {
			language = (Language) iterator.next();
		}
		return language;
	}

}
