package com.efetiva.wiiser.server.repository;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

import org.hibernate.Query;
import org.hibernate.Session;

import com.efetiva.wiiser.server.entity.User;
import com.efetiva.wiiser.server.repository.interfaceRepository.IUserRepository;
import com.efetiva.wiiser.server.util.hibernate.HibernateUtil;

public class UserRepository implements IUserRepository {

	public UserRepository() {

	}

	public void register(User user) {

		Session currentSession = HibernateUtil.getCurrentSession();
		currentSession.save(user);

	}

	public User search(String username) {
		String query = "select user from User as user where user.username = "
				+ "'" + username + "'";
		User user = null;

		user = queryUser(query, user);

		return user;
	}
	
	public void remove(User user) {

		Session currentSession = HibernateUtil.getCurrentSession();
		currentSession.delete(user);

	}

	public void modify(User user) {

		Session currentSession = HibernateUtil.getCurrentSession();
		currentSession.update(user);

	}

	public Collection searchAll() {
		String query = "select user.username, user.password, "
				+ "user.permission from User as user";
		Collection all = new ArrayList();
		
		queryUsersCollection(query, all);

		return all;
	}
		
	/*
	 * metodos privados
	 * metodos extraidos
	 */
	
	private User queryUser(String query, User user) {
		Session currentSession = HibernateUtil.getCurrentSession();
		Query q = currentSession.createQuery(query);
		Iterator iterator = q.iterate();
		while (iterator.hasNext()) {
			user = (User) iterator.next();
		}
		return user;
	}
	
	private void queryUsersCollection(String query, Collection all) {
		Session currentSession = HibernateUtil.getCurrentSession();
		Query q = currentSession.createQuery(query);
		Collection coll = q.list();
		Iterator iterator = coll.iterator();
		while (iterator.hasNext()) {
			Object obj = (Object) iterator.next();
			Object[] array = (Object[]) obj;
			User user = new User();
			user.setUsername((String) array[0]);
			user.setPassword((String) array[1]);
			user.setPermission((String) array[2]);
			all.add(user);
		}
	}
	
}
