package com.efetiva.wiiser.server.repository.interfaceRepository;

import java.util.Collection;

import com.efetiva.wiiser.server.entity.Language;



public interface ILanguageRepository {

	/**
	 * 
	 * @param language
	 */
	public void register(Language language);

	/**
	 * 
	 * @param ID
	 * @return
	 */
	public Language search(Integer ID);

	/**
	 * 
	 * @param language
	 */
	public void remove(Language language);

	/**
	 * 
	 * @param language
	 */
	public void modify(Language language);

	/**
	 * 
	 * @return
	 */
	public Collection searchAll();

	/**
	 * Search language by the name
	 * @param name
	 * @return
	 */
	public Language searchByName(String name);

}