package com.efetiva.wiiser.webserver.gui.activity;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;
import org.apache.struts.upload.FormFile;

import com.efetiva.wiiser.server.entity.Activity;
import com.efetiva.wiiser.webserver.gui.util.ObjectActionForm;

public class ActivityChangeActionForm extends ObjectActionForm {

	private static final long serialVersionUID = 1L;

	private Activity activity;

	private String name;

	private String description;

	private String value;

	private FormFile photo;

	private Collection collPlace;

	private String place;

	private String language;

	private Collection collLanguage;

	private String isActive;

	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		name = "";
		description = "";
		value = "0.0";
		place = "";
		language = "";
		collPlace = new ArrayList();
		collLanguage = new ArrayList();
		isActive = "";
	}

	public Activity getActivity() {
		return activity;
	}

	public void setActivity(Activity activity) {
		this.activity = activity;
	}

	public Collection getCollLanguage() {
		return collLanguage;
	}

	public void setCollLanguage(Collection collLanguage) {
		this.collLanguage = collLanguage;
	}

	public Collection getCollPlace() {
		return collPlace;
	}

	public void setCollPlace(Collection collPlace) {
		this.collPlace = collPlace;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public String getLanguage() {
		return language;
	}

	public void setLanguage(String language) {
		this.language = language;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public FormFile getPhoto() {
		return photo;
	}

	public void setPhoto(FormFile photo) {
		this.photo = photo;
	}

	public String getPlace() {
		return place;
	}

	public void setPlace(String place) {
		this.place = place;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}
