package com.efetiva.wiiser.webserver.gui.activity;

import java.util.Collection;
import java.util.Iterator;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.server.entity.Activity;
import com.efetiva.wiiser.server.entity.ScheduleActivity;
import com.efetiva.wiiser.server.entity.User;
import com.efetiva.wiiser.server.singleton.Facade;
import com.efetiva.wiiser.webserver.gui.util.ObjectAction;
import com.efetiva.wiiser.webserver.gui.util.Util;
import com.efetiva.wiiser.webserver.util.SystemConstants;

public class ActivityRemoveAction extends ObjectAction {

	public static String USER_CASE = ActivityRemoveAction.class.getSimpleName()
			+ SystemConstants.USER_CASE_EXTENSION;

	public ActionForward process(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		int id = Integer.parseInt(request.getParameter("activityId"));
		Activity activity = Facade.getInstance().searchActivity(id);
		if (activity != null) {
			Collection scheduleActivities = Facade.getInstance().searchScheduleByActivity(activity.getId());
			Iterator iteratorActivity = scheduleActivities.iterator();
			while (iteratorActivity.hasNext()) {
				ScheduleActivity scheduleActivity = (ScheduleActivity) iteratorActivity
						.next();
				Facade.getInstance().removeScheduleActivity(scheduleActivity);
			}
			Util.deleteFile(activity.getPhoto());
			Facade.getInstance().removeActivity(activity);
		}
		return actionMapping
				.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);

	}
}
