package com.efetiva.wiiser.webserver.gui.activity;

import java.util.ArrayList;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.webserver.gui.util.ObjectActionForm;

public class ActivityScheduleActionForm extends ObjectActionForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private Collection collSchedules;
	private String dayOfWeek;
	private String hours;
	private String minutes;
	
	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		collSchedules = new ArrayList();
		dayOfWeek = "Domingo";
		hours = "";
		minutes = "";
	}

	/**
	 * @return Returns the collSchedules.
	 */
	public Collection getCollSchedules() {
		return collSchedules;
	}

	/**
	 * @param collSchedules The collSchedules to set.
	 */
	public void setCollSchedules(Collection collSchedules) {
		this.collSchedules = collSchedules;
	}

	/**
	 * @return Returns the dayOfWeek.
	 */
	public String getDayOfWeek() {
		return dayOfWeek;
	}

	/**
	 * @param dayOfWeek The dayOfWeek to set.
	 */
	public void setDayOfWeek(String dayOfWeek) {
		this.dayOfWeek = dayOfWeek;
	}

	/**
	 * @return Returns the hours.
	 */
	public String getHours() {
		return hours;
	}

	/**
	 * @param hours The hours to set.
	 */
	public void setHours(String hours) {
		this.hours = hours;
	}

	/**
	 * @return Returns the minutes.
	 */
	public String getMinutes() {
		return minutes;
	}

	/**
	 * @param minutes The minutes to set.
	 */
	public void setMinutes(String minutes) {
		this.minutes = minutes;
	}
}
