package com.efetiva.wiiser.webserver.gui.language;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;
import org.apache.struts.upload.FormFile;

import com.efetiva.wiiser.webserver.gui.util.ObjectActionForm;

public class LanguageRegisterActionForm extends ObjectActionForm {

	private static final long serialVersionUID = 1L;

	private String name;
	private String acronym;
	private FormFile file;

	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		name = "";
		acronym = "";
		file = null;
	}

	/**
	 * @return Returns the acronym.
	 */
	public String getAcronym() {
		return acronym;
	}

	/**
	 * @param acronym The acronym to set.
	 */
	public void setAcronym(String acronym) {
		this.acronym = acronym;
	}

	/**
	 * @return Returns the file.
	 */
	public FormFile getFile() {
		return file;
	}

	/**
	 * @param file The file to set.
	 */
	public void setFile(FormFile file) {
		this.file = file;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}
}
