package com.efetiva.wiiser.webserver.gui.language;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.server.entity.User;
import com.efetiva.wiiser.server.singleton.Facade;
import com.efetiva.wiiser.webserver.gui.util.ObjectAction;
import com.efetiva.wiiser.webserver.util.SystemConstants;

public class LanguageSearchAction extends ObjectAction {
	public static String USER_CASE = LanguageSearchAction.class.getSimpleName()
			+ SystemConstants.USER_CASE_EXTENSION;

	public ActionForward exhibit(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		return actionMapping
			.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);
		
	}
	
	public ActionForward exhibitIFrame(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		
		LanguageSearchActionForm form = (LanguageSearchActionForm) requestActionForm;

		Collection coll = Facade.getInstance().searchAllLanguages();
		form.setCollLanguages(coll);

		int i = coll.size();
		if (i == 0) {
			form.setNumero("Nenhum idioma foi encontrado!!");
		} else if (i == 1) {
			form.setNumero("1 idioma foi encontrado!!");
		} else {
			form.setNumero(i + " idiomas foram encontrados!!");
		}
		
		return actionMapping.findForward(SystemConstants.FORWARD_DYSPLAY_LANGUAGE_IFRAME);
	}

	public ActionForward refresh(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		return actionMapping.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);
	}

	public ActionForward process(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		LanguageSearchActionForm form = (LanguageSearchActionForm) requestActionForm;

		return actionMapping.findForward(SystemConstants.FORWARD_SUCESS_SCREEN);

	}
}
