package com.efetiva.wiiser.webserver.gui.message;

import java.util.Collection;
import java.util.Iterator;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.server.entity.DynamicInfo;
import com.efetiva.wiiser.server.entity.ScheduleInfo;
import com.efetiva.wiiser.server.entity.User;
import com.efetiva.wiiser.server.singleton.Facade;
import com.efetiva.wiiser.webserver.gui.util.ObjectAction;
import com.efetiva.wiiser.webserver.util.SystemConstants;

public class MessageRemoveAction extends ObjectAction {

	public static String USER_CASE = MessageRemoveAction.class.getSimpleName()
			+ SystemConstants.USER_CASE_EXTENSION;

	public ActionForward process(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		int id = Integer.parseInt(request.getParameter("messageId"));
		DynamicInfo di = Facade.getInstance().searchDynamicInfo(id);
		
		if(di!=null){
			Collection scheduleInfos = Facade.getInstance().searchScheduleInfoByDynamicInfo(di.getId());
			Iterator iterator = scheduleInfos.iterator();
			while (iterator.hasNext()) {
				ScheduleInfo scheduleInfo = (ScheduleInfo) iterator.next();
				Facade.getInstance().removeScheduleInfo(scheduleInfo);
			}
			
			Facade.getInstance().removeDynamicInfo(di);
		}
		return actionMapping
				.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);

	}
}
