package com.efetiva.wiiser.webserver.gui.message;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.server.entity.User;
import com.efetiva.wiiser.server.singleton.Facade;
import com.efetiva.wiiser.webserver.gui.message.MessageSearchAction;
import com.efetiva.wiiser.webserver.gui.message.MessageSearchActionForm;
import com.efetiva.wiiser.webserver.gui.user.UserSearchActionForm;
import com.efetiva.wiiser.webserver.gui.util.ObjectAction;
import com.efetiva.wiiser.webserver.util.SystemConstants;

public class MessageSearchAction extends ObjectAction {

	public static String USER_CASE = MessageSearchAction.class.getSimpleName()
			+ SystemConstants.USER_CASE_EXTENSION;

	public ActionForward exhibit(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		request.getSession().setAttribute("messageId", null);

		return actionMapping
					.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);
	}

	public ActionForward exhibitIFrame(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		MessageSearchActionForm form = (MessageSearchActionForm) requestActionForm;

		Collection coll = Facade.getInstance().searchAllDynamicInfo();
		form.setCollDynamicInfos(coll);

		int i = coll.size();
		if (i == 0) {
			form.setNumero("Nenhuma mensagem foi encontrada!!");
		} else if (i == 1) {
			form.setNumero("1 mensagem foi encontrada!!");
		} else {
			form.setNumero(i + " mensagens foram encontradas!!");
		}

		return actionMapping
				.findForward(SystemConstants.FORWARD_DYSPLAY_ACTIVITY_IFRAME);

	}


	public ActionForward process(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		UserSearchActionForm form = (UserSearchActionForm) requestActionForm;
		form.setDoAction(SystemConstants.PROCESS);

		return actionMapping
				.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);

	}

}

