package com.efetiva.wiiser.webserver.gui.service;

import java.util.ArrayList;
import java.util.Collection;

import com.efetiva.wiiser.server.entity.Language;
import com.efetiva.wiiser.server.entity.ScheduleService;
import com.efetiva.wiiser.server.entity.Service;
import com.efetiva.wiiser.webserver.gui.util.OTD;

public class ServiceRegisterOTD extends OTD {

	private Language language = new Language();

	private Service service = new Service();

	private Collection collSchedule = new ArrayList();
	
	private byte[] file = null;

	public void addScheduleService(ScheduleService scheduleService) {
		collSchedule.add(scheduleService);
	}

	public void removeScheduleService(int posicao) {
		((ArrayList) collSchedule).remove(posicao);
	}

	public Service getService() {
		return service;
	}

	public void setService(Service service) {
		this.service = service;
	}

	public Collection getCollSchedule() {
		return collSchedule;
	}

	public void setCollSchedule(Collection collSchedule) {
		this.collSchedule = collSchedule;
	}

	public Language getLanguage() {
		return language;
	}

	public void setLanguage(Language language) {
		this.language = language;
	}

	public byte[] getFile() {
		return file;
	}

	public void setFile(byte[] file) {
		this.file = file;
	}
}
