package com.efetiva.wiiser.webserver.gui.service;

import java.util.Collection;
import java.util.Iterator;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.server.entity.ScheduleService;
import com.efetiva.wiiser.server.entity.Service;
import com.efetiva.wiiser.server.entity.User;
import com.efetiva.wiiser.server.singleton.Facade;
import com.efetiva.wiiser.webserver.gui.util.ObjectAction;
import com.efetiva.wiiser.webserver.gui.util.Util;
import com.efetiva.wiiser.webserver.util.SystemConstants;

public class ServiceRemoveAction extends ObjectAction {

	public static String USER_CASE = ServiceRemoveAction.class.getSimpleName()
	+ SystemConstants.USER_CASE_EXTENSION;
	
	public ActionForward process(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		
		String serviceId = request.getParameter("serviceId");
		Service service = Facade.getInstance().searchService(Integer.parseInt(serviceId));
		if (service != null) {
			Collection scheduleServices = Facade.getInstance().searchScheduleByService(service.getId());
			Iterator iteratorService = scheduleServices.iterator();
			while (iteratorService.hasNext()) {
				ScheduleService scheduleService = (ScheduleService) iteratorService.next();
				Facade.getInstance().removeScheduleService(scheduleService);
			}
			Util.deleteFile(service.getPhoto());
			Facade.getInstance().removeService(service);
		}
		return actionMapping.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);
			
	}

}
