package com.efetiva.wiiser.webserver.gui.start;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.server.entity.User;
import com.efetiva.wiiser.webserver.gui.util.ObjectAction;
import com.efetiva.wiiser.webserver.util.SystemConstants;

public class StartAction extends ObjectAction {
	public static String USER_CASE = StartAction.class.getSimpleName()
			+ SystemConstants.USER_CASE_EXTENSION;

	public ActionForward exhibit(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		return start(actionMapping, requestActionForm, request);
	}

	public ActionForward refresh(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		return start(actionMapping, requestActionForm, request);
	}

	private ActionForward start(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request) {
		StartActionForm form = (StartActionForm) requestActionForm;

		User user = (User) request.getSession().getAttribute(
				SystemConstants.USER);

		if (user != null) {
			form.setUsername(user.getUsername());
			form.setPermission(user.getPermission());
		}

		return actionMapping
				.findForward(SystemConstants.FORWARD_DYSPLAY_SCREEN);
	}

	public ActionForward process(ActionMapping actionMapping,
			ActionForm requestActionForm, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

		StartActionForm form = (StartActionForm) requestActionForm;
		form.setDoAction(SystemConstants.PROCESS);
		
		return actionMapping.findForward(SystemConstants.FORWARD_SUCESS_SCREEN);

	}

}
