package com.efetiva.wiiser.webserver.gui.subarea;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

import com.efetiva.wiiser.server.entity.CategoryPlace;
import com.efetiva.wiiser.server.entity.Language;
import com.efetiva.wiiser.server.entity.Place;
import com.efetiva.wiiser.server.entity.PlaceArea;
import com.efetiva.wiiser.webserver.gui.util.OTD;

public class SubAreaRegisterOTD extends OTD {

	private Place place = new Place();

	private CategoryPlace categoryPlace = new CategoryPlace();

	private Language language = new Language();

	private Collection collPlaceArea = new ArrayList();

	private byte[] file = null;

	public void addPlaceArea(PlaceArea placeArea) {
		collPlaceArea.add(placeArea);
	}

	public void removePlaceArea(int posicao) {
		((ArrayList) collPlaceArea).remove(posicao);
	}

	/**
	 * @return Returns the collPlaceArea.
	 */
	public Collection getCollPlaceArea() {
		return collPlaceArea;
	}

	/**
	 * @param collPlaceArea
	 *            The collPlaceArea to set.
	 */
	public void setCollPlaceArea(Collection collPlaceArea) {
		this.collPlaceArea = collPlaceArea;
	}

	/**
	 * @return Returns the place.
	 */
	public Place getPlace() {
		return place;
	}

	/**
	 * @param place
	 *            The place to set.
	 */
	public void setPlace(Place place) {
		this.place = place;
	}

	/**
	 * @return Returns the language.
	 */
	public Language getLanguage() {
		return language;
	}

	/**
	 * @param language
	 *            The language to set.
	 */
	public void setLanguage(Language language) {
		this.language = language;
	}

	/**
	 * @return Returns the categoryPlace.
	 */
	public CategoryPlace getCategoryPlace() {
		return categoryPlace;
	}

	/**
	 * @param categoryPlace
	 *            The categoryPlace to set.
	 */
	public void setCategoryPlace(CategoryPlace categoryPlace) {
		this.categoryPlace = categoryPlace;
	}

	public String[] retornarPlaceArea() {

		String[] retorno = new String[this.collPlaceArea.size()];

		if (this.collPlaceArea != null) {
			Iterator it = this.collPlaceArea.iterator();
			int i = 0;
			while (it.hasNext()) {
				PlaceArea placeArea = (PlaceArea) it.next();
				String resp = null;
				String area = placeArea.getArea().getName();
				if (area.equalsIgnoreCase("area.alaMarlin")) {
					resp = "Ala Marlin";
				} else if (area.equalsIgnoreCase("area.piscinas")) {
					resp = "Piscina";
				} else if (area.equalsIgnoreCase("area.alaDourado")) {
					resp = "Ala Dourado";
				} else if (area.equalsIgnoreCase("area.bangalosCaracois")) {
					resp = "Bangalos Caracois";
				} else if (area.equalsIgnoreCase("area.praia")) {
					resp = "Praia";
				} else if (area.equalsIgnoreCase("area.bangalosBuzios")) {
					resp = "Bangalos Buzios";
				} else if (area.equalsIgnoreCase("area.complexoEsportivo")) {
					resp = "Complexo Esportivo";
				} else if (area.equalsIgnoreCase("area.alaEstrela")) {
					resp = "Ala Estrela";
				} else {
					resp = "Estacionamento";
				}
				retorno[i] = resp + " - (" + placeArea.getCoordX() + ", "
						+ placeArea.getCoordY() + ")";
				i++;
			}
		}

		return retorno;
	}

	public byte[] getFile() {
		return file;
	}

	public void setFile(byte[] file) {
		this.file = file;
	}

}
