package com.efetiva.wiiser.webserver.gui.user;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;

import com.efetiva.wiiser.webserver.gui.util.ObjectActionForm;

public class UserRegisterActionForm extends ObjectActionForm {

	private static final long serialVersionUID = 1L;
	private String login;
	private String password;
	private String passwordConfirm;
	private String permission;
	
	public void reset(ActionMapping arg0, HttpServletRequest arg1) {
		super.reset(arg0, arg1);
		login = "";
		password = "";
		passwordConfirm = "";
		permission = "";
	}

	/**
	 * @return the passwordConfirm
	 */
	public String getPasswordConfirm() {
		return passwordConfirm;
	}

	/**
	 * @param passwordConfirm the passwordConfirm to set
	 */
	public void setPasswordConfirm(String confirmacaoSenha) {
		this.passwordConfirm = confirmacaoSenha;
	}

	/**
	 * @return the login
	 */
	public String getLogin() {
		return login;
	}

	/**
	 * @param login the login to set
	 */
	public void setLogin(String login) {
		this.login = login;
	}

	/**
	 * @return the permission
	 */
	public String getPermission() {
		return permission;
	}

	/**
	 * @param permission the permission to set
	 */
	public void setPermission(String nivel) {
		this.permission = nivel;
	}

	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password the password to set
	 */
	public void setPassword(String senha) {
		this.password = senha;
	}
	
	

}
