package com.efetiva.wiiser.webserver.gui.util;

import javax.servlet.http.HttpServletRequest;

public class OTDActionForm extends ObjectActionForm {

	private static final long serialVersionUID = 1L;
	public static String PARAMETRO_OTD = "otd";

	public OTD getOtd(HttpServletRequest request) {
		return (OTD) request.getSession().getAttribute(PARAMETRO_OTD);
	}

	public void setOtd(OTD otd, HttpServletRequest request) {
		request.getSession().setAttribute(PARAMETRO_OTD, otd);
	}

	public void limparOtd(HttpServletRequest request) {
		request.getSession().removeAttribute(PARAMETRO_OTD);
	}
}
